Bug 154905 - [UPDATE] security/hydra: update to 6.1 [feature safe]
Summary: [UPDATE] security/hydra: update to 6.1 [feature safe]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-20 10:40 UTC by R.Mahmatkhanov
Modified: 2011-03-04 03:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.46 KB, patch)
2011-02-20 10:40 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-02-20 10:40:08 UTC
- update to 6.1
  changelog is here: http://www.thc.org/thc-hydra/
- remove unneeded files/patch-Makefile.am
- build and install xhydra only if WITH_X11 is defined
- add WITH_X11 option, default off

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-02-20 10:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-20 10:40:18 UTC
Maintainer of security/hydra,

Please note that PR ports/154905 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154905

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-20 10:40:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 llevier 2011-02-20 11:25:42 UTC
Hi Edwin,

That is fine for now, I am very busy.
I'll update later to add the X11 version again.

Thanks to the author as well !

Brgrds

At 11:40 20/02/2011, Edwin Groothuis wrote:
>Maintainer of security/hydra,
>
>Please note that PR ports/154905 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/154905
>
>--
>Edwin Groothuis via the GNATS Auto Assign Tool
>edwin@FreeBSD.org
>
>--
>Ce message a =E9t=E9 v=E9rifi=E9 par MailScanner
>pour des virus ou des polluriels et rien de
>suspect n'a =E9t=E9 trouv=E9.
Comment 5 R.Mahmatkhanov 2011-02-20 13:32:50 UTC
Hi Laurent,

It seems like i wasn't clear about what and why is changed. Past port 
revisions installed two binaries - hydra and xhydra. xhydra needs 
xorg/gtk and the stuff, and not all of hydra users really need xhydra 
too. Say i want to install hydra on headless server without need of 
installing all xorg/gtk dependencies. So by this change we just let user 
to install:
a) just hydra (by default)
b) both hydra and xhydra (need to select X11 checkbox in options dialog)

So i don't understand what you mean by "I'll update later to add the X11 
version again". It wasn't removed - it's just now controlled by X11 
knob. If you think that it needs to be turned on by default, just say this.

-- 
Regards,
Ruslan
Comment 6 llevier 2011-02-20 16:38:38 UTC
At 14:32 20/02/2011, Ruslan Mahmatkhanov wrote:
>Hi Laurent,
Hi Ruslan,

>It seems like i wasn't clear about what and why is changed. Past 
>port revisions installed two binaries - hydra and xhydra. xhydra 
>needs xorg/gtk and the stuff, and not all of hydra users really need 
>xhydra too. Say i want to install hydra on headless server without 
>need of installing all xorg/gtk dependencies. So by this change we 
>just let user to install:
>a) just hydra (by default)
>b) both hydra and xhydra (need to select X11 checkbox in options dialog)
>
>So i don't understand what you mean by "I'll update later to add the 
>X11 version again". It wasn't removed - it's just now controlled by 
>X11 knob. If you think that it needs to be turned on by default, just say this.
I am sorry, I quickly glanced at the port when I received the email.
I saw the x11 part set to off and did not tought much more than this 
at this very moment.

I just took more time to read again now and yes, I see now you just 
set xhydra as option off by default, as was already SSH and SVN.

Sorry for the confusion and thanks for the job ! It should be mine 
but I am too loaded for a while :'(

Thanks again!

Brgrds
Comment 7 dfilter service freebsd_committer 2011-03-04 03:41:10 UTC
miwi        2011-03-04 03:41:03 UTC

  FreeBSD ports repository

  Modified files:
    security/hydra       Makefile distinfo 
  Removed files:
    security/hydra/files patch-Makefile.am 
  Log:
  - Update to 6.1
  
  PR:             154905
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.24      +16 -6     ports/security/hydra/Makefile
  1.13      +2 -2      ports/security/hydra/distinfo
  1.3       +0 -11     ports/security/hydra/files/patch-Makefile.am (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2011-03-04 03:41:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!